------------------------------------------------------------------
--                                                              --
--  File:   DB_FK_Constraints.SQL                               --
--          Microsoft TPC-E Benchmark Kit Ver. 1.10.0-1019      --
--          Copyright Microsoft  2008, 2009, 2010               --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

PRINT   ''
PRINT   ''
PRINT   '--------------------------------------------'
PRINT   '|  TPC-E Foreign Key Constraints - Begin   |'
PRINT   '--------------------------------------------'
PRINT   ' '
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO

SELECT  CONVERT(CHAR(40), name) As 'FK Constraint Name',
        CONVERT(CHAR(22), OBJECT_NAME(parent_object_id)) As 'Parent Object',
        CONVERT(CHAR(22), OBJECT_NAME(referenced_object_id)) As 'Referenced Object',
        create_date As 'Creation Date'
FROM    sys.foreign_keys

PRINT   ''
PRINT   ''
PRINT   '--------------------------------------------'
PRINT   '|   TPC-E Foreign Key Constraints - End    |'
PRINT   '--------------------------------------------'
PRINT   ' '
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
