------------------------------------------------------------------
--                                                              --
--  File:   Backup_Database.SQL                                 --
--          Microsoft TPC-E Benchmark Kit Ver. 1.10.0-1019      --
--          Copyright Microsoft  2008, 2009, 2010               --
--                                                              --
------------------------------------------------------------------
Use master
GO

DECLARE @startdate	DATETIME,
	    @enddate	DATETIME

SELECT  @startdate = GETDATE()
SELECT  'Start date:',
		CONVERT(VARCHAR(30),@startdate, 21)

BACKUP  DATABASE tpce
TO
        DISK = 'C:\jp\help01\tpcebackup01a.bak',
        DISK = 'C:\jp\help01\tpcebackup02a.bak',
        DISK = 'C:\jp\help02\tpcebackup03a.bak',
        DISK = 'C:\jp\help02\tpcebackup04a.bak',
        DISK = 'C:\jp\help03\tpcebackup05a.bak',
        DISK = 'C:\jp\help03\tpcebackup06a.bak',
        DISK = 'C:\jp\help04\tpcebackup07a.bak',
        DISK = 'C:\jp\help04\tpcebackup08a.bak',
        DISK = 'C:\jp\help05\tpcebackup09a.bak',
        DISK = 'C:\jp\help05\tpcebackup10a.bak',
        DISK = 'C:\jp\help06\tpcebackup11a.bak',
        DISK = 'C:\jp\help06\tpcebackup12a.bak',
        DISK = 'C:\jp\help07\tpcebackup13a.bak',
        DISK = 'C:\jp\help07\tpcebackup14a.bak',
        DISK = 'C:\jp\help08\tpcebackup15a.bak',
        DISK = 'C:\jp\help08\tpcebackup16a.bak',
        DISK = 'C:\jp\help09\tpcebackup17a.bak',
        DISK = 'C:\jp\help09\tpcebackup18a.bak',
        DISK = 'C:\jp\help10\tpcebackup19a.bak',
        DISK = 'C:\jp\help10\tpcebackup20a.bak',
        DISK = 'C:\jp\help11\tpcebackup21a.bak',
        DISK = 'C:\jp\help11\tpcebackup22a.bak',
        DISK = 'C:\jp\help12\tpcebackup23a.bak',
        DISK = 'C:\jp\help12\tpcebackup24a.bak',
        DISK = 'C:\jp\help13\tpcebackup25a.bak',
        DISK = 'C:\jp\help13\tpcebackup26a.bak',
        DISK = 'C:\jp\help14\tpcebackup27a.bak',
        DISK = 'C:\jp\help14\tpcebackup28a.bak',
        DISK = 'C:\jp\help15\tpcebackup29a.bak',
        DISK = 'C:\jp\help15\tpcebackup30a.bak',
        DISK = 'C:\jp\help16\tpcebackup31a.bak',
        DISK = 'C:\jp\help16\tpcebackup32a.bak',
        DISK = 'C:\jp\help01\tpcebackup01b.bak',
        DISK = 'C:\jp\help01\tpcebackup02b.bak',
        DISK = 'C:\jp\help02\tpcebackup03b.bak',
        DISK = 'C:\jp\help02\tpcebackup04b.bak',
        DISK = 'C:\jp\help03\tpcebackup05b.bak',
        DISK = 'C:\jp\help03\tpcebackup06b.bak',
        DISK = 'C:\jp\help04\tpcebackup07b.bak',
        DISK = 'C:\jp\help04\tpcebackup08b.bak',
        DISK = 'C:\jp\help05\tpcebackup09b.bak',
        DISK = 'C:\jp\help05\tpcebackup10b.bak',
        DISK = 'C:\jp\help06\tpcebackup11b.bak',
        DISK = 'C:\jp\help06\tpcebackup12b.bak',
        DISK = 'C:\jp\help07\tpcebackup13b.bak',
        DISK = 'C:\jp\help07\tpcebackup14b.bak',
        DISK = 'C:\jp\help08\tpcebackup15b.bak',
        DISK = 'C:\jp\help08\tpcebackup16b.bak',
        DISK = 'C:\jp\help09\tpcebackup17b.bak',
        DISK = 'C:\jp\help09\tpcebackup18b.bak',
        DISK = 'C:\jp\help10\tpcebackup19b.bak',
        DISK = 'C:\jp\help10\tpcebackup20b.bak',
        DISK = 'C:\jp\help11\tpcebackup21b.bak',
        DISK = 'C:\jp\help11\tpcebackup22b.bak',
        DISK = 'C:\jp\help12\tpcebackup23b.bak',
        DISK = 'C:\jp\help12\tpcebackup24b.bak',
        DISK = 'C:\jp\help13\tpcebackup25b.bak',
        DISK = 'C:\jp\help13\tpcebackup26b.bak',
        DISK = 'C:\jp\help14\tpcebackup27b.bak',
        DISK = 'C:\jp\help14\tpcebackup28b.bak',
        DISK = 'C:\jp\help15\tpcebackup29b.bak',
        DISK = 'C:\jp\help15\tpcebackup30b.bak',
        DISK = 'C:\jp\help16\tpcebackup31b.bak',
        DISK = 'C:\jp\help16\tpcebackup32b.bak'
WITH    INIT, STATS = 5

SELECT  @enddate = GETDATE()
SELECT  'End date: ',
		CONVERT(VARCHAR(30),@enddate, 21)
SELECT  'Elapsed time (in seconds): ',
		DATEDIFF(second, @startdate, @enddate)
GO
