------------------------------------------------------------------
--                                                              --
--  File:   Database_Options_1.SQL                              --
--          Microsoft TPC-E Benchmark Kit Ver. 1.10.0-1019      --
--          Copyright Microsoft  2008, 2009, 2010               --
--                                                              --
------------------------------------------------------------------

USE master
GO

EXEC sp_dboption tpce,'select into/bulkcopy',true
EXEC sp_dboption tpce,'torn page detection',false
EXEC sp_dboption tpce,'auto create statistics',true
EXEC sp_dboption tpce,'auto update statistics',true
EXEC sp_dboption tpce,'trunc. log on chkpt.',true
GO

ALTER	DATABASE tpce
SET     RECOVERY BULK_LOGGED
GO

ALTER DATABASE tpce SET TORN_PAGE_DETECTION OFF
GO

ALTER DATABASE tpce SET PAGE_VERIFY NONE
GO

ALTER DATABASE tpce SET ALLOW_SNAPSHOT_ISOLATION ON
GO

-- set show advanced options to 1 so we get all the available options
sp_configure    'Show advanced options',1
GO

-- reconfigure the server so the show advanced option will take effect
reconfigure with override
GO

-- set the MAX Degree of Parallelism to 0 for the load
sp_configure    'max degree of parallelism',0
GO

-- reconfigure the server so the MAXDOP will take effect
RECONFIGURE WITH OVERRIDE
GO

USE tpce
GO

CHECKPOINT
GO




