------------------------------------------------------------------
--                                                              --
--  File:   Output_TPCE_VERSIONS_Table.SQL                      --
--          Microsoft TPC-E Benchmark Kit Ver. 1.10.0-1019      --
--          Copyright Microsoft  2008, 2009, 2010               --
--                                                              --
------------------------------------------------------------------
SET NOCOUNT ON
PRINT   ' '
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
PRINT   ' '
 
USE tpce
GO
  
SELECT    MS_KIT_VERSION As 'MS Kit Version',
          EGEN_VERSION AS 'EGen Version',
          BUILD_PHASE AS 'Build Phase',
          BUILD_PHASE_START_TIME AS 'Phase Start Time',
          BUILD_PHASE_END_TIME As 'Phase End Time'
FROM      TPCE_VERSIONS
ORDER     BY BUILD_PHASE_START_TIME ASC
GO
