------------------------------------------------------------------
--                                                              --
--  File:   SPUSED.SQL                                          --
--          Microsoft TPC-E Benchmark Kit Ver. 1.10.0-1019      --
--          Copyright Microsoft  2008, 2009, 2010               --
--                                                              --
------------------------------------------------------------------
PRINT	' '
SELECT	convert(char(30), getdate(),9)
PRINT	' '
GO

USE tpce
GO

--  return details on database and device configurations 

sp_helpdb tpce
GO

sp_helpdevice
GO

--  collect space utilization for tables 

sp_spaceused ACCOUNT_PERMISSION
GO
sp_spaceused ADDRESS
GO
sp_spaceused BROKER
GO
sp_spaceused CASH_TRANSACTION
GO
sp_spaceused CHARGE
GO
sp_spaceused COMMISSION_RATE
GO
sp_spaceused COMPANY
GO
sp_spaceused COMPANY_COMPETITOR
GO
sp_spaceused CUSTOMER
GO
sp_spaceused CUSTOMER_ACCOUNT
GO
sp_spaceused CUSTOMER_TAXRATE
GO
sp_spaceused DAILY_MARKET
GO
sp_spaceused EXCHANGE
GO
sp_spaceused FINANCIAL
GO
sp_spaceused HOLDING
GO
sp_spaceused HOLDING_HISTORY
GO
sp_spaceused HOLDING_SUMMARY
GO
sp_spaceused INDUSTRY
GO
sp_spaceused LAST_TRADE
GO
sp_spaceused NEWS_ITEM
GO
sp_spaceused NEWS_XREF
GO
sp_spaceused SECTOR
GO
sp_spaceused SECURITY
GO
sp_spaceused SETTLEMENT
GO
sp_spaceused STATUS_TYPE
GO
sp_spaceused TAXRATE
GO
sp_spaceused TRADE
GO
sp_spaceused TRADE_HISTORY
GO
sp_spaceused TRADE_REQUEST
GO
sp_spaceused TRADE_TYPE
GO
sp_spaceused WATCH_ITEM
GO
sp_spaceused WATCH_LIST
GO
sp_spaceused ZIP_CODE
GO

PRINT	' '
SELECT	convert(char(30), getdate(),9)
PRINT	' '
GO
