------------------------------------------------------------------
--                                                              --
--  File:   Create_TL_TU_Warnings_Table.SQL                     --
--          Microsoft TPC-E Benchmark Kit Ver. 1.10.0-1019      --
--          Copyright Microsoft  2008, 2009, 2010               --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'TL_TU_WARNINGS' )
    DROP TABLE TL_TU_WARNINGS
GO

CREATE TABLE TL_TU_WARNINGS (
                             TimeStamp       DATETIME,
                             Table_Name      CHAR(3),
                             Max_Trades      SMALLINT       NULL,
                             Acct_ID         IDENT_T        NULL,
                             Symbol          VARCHAR(15)    NULL,
                             Start_DTS       DATETIME,
                             End_DTS         DATETIME,
                             T_ID            TRADE_T,
                             T_CA_ID         IDENT_T,
                             T_S_SYMB        VARCHAR(15),
                             T_DTS           DATETIME
                            )
GO
                      
