USE tpce
GO
SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
 
---
--- Set connection attributes
---
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET ARITHABORT ON
SET CONCAT_NULL_YIELDS_NULL ON
SET QUOTED_IDENTIFIER ON
SET NUMERIC_ROUNDABORT OFF
GO


-- *** DS 02/2010 ***
-- extend tpce_fg temporary with another file on different disk drives before index creation growing
-- to be deleted at the end of create index growing, that is here
PRINT 'start shrink tpce extention'
GO

-- Empty the data file
-- and remove the data file from the database

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file01'
GO
DBCC SHRINKFILE (TPCEADDON01, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON01
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file02'
GO
DBCC SHRINKFILE (TPCEADDON02, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON02
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file03'
GO
DBCC SHRINKFILE (TPCEADDON03, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON03
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file04'
GO
DBCC SHRINKFILE (TPCEADDON04, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON04
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file05'
GO
DBCC SHRINKFILE (TPCEADDON05, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON05
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file06'
GO
DBCC SHRINKFILE (TPCEADDON06, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON06
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file07'
GO
DBCC SHRINKFILE (TPCEADDON07, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON07
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file08'
GO
DBCC SHRINKFILE (TPCEADDON08, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON08
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file09'
GO
DBCC SHRINKFILE (TPCEADDON09, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON09
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file10'
GO
DBCC SHRINKFILE (TPCEADDON10, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON10
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file11'
GO
DBCC SHRINKFILE (TPCEADDON11, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON11
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file12'
GO
DBCC SHRINKFILE (TPCEADDON12, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON12
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file13'
GO
DBCC SHRINKFILE (TPCEADDON13, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON13
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file14'
GO
DBCC SHRINKFILE (TPCEADDON14, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON14
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file15'
GO
DBCC SHRINKFILE (TPCEADDON15, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON15
GO

SELECT  CONVERT(CHAR(30), GETDATE(), 21)
GO
PRINT 'shrink file16'
GO
DBCC SHRINKFILE (TPCEADDON16, EMPTYFILE);
GO
ALTER DATABASE tpce
REMOVE FILE TPCEADDON16
GO


PRINT 'delete tpce extention done'
GO
-- *** DS 02/2010 ***


SELECT name ,size/128.0 - CAST(FILEPROPERTY(name, 'SpaceUsed') AS int)/128.0 AS AvailableSpaceInMB
FROM sys.database_files;

